{
    "manifest_version": 3,
    "name": "DeNet",
    "description": "Growing more twitter followers with Denet",
    "version": "1.1.0",
    "background": {
        "service_worker": "/js/background.js"
    },
    "icons": {
        "16": "/logo/16.png",
        "32": "/logo/32.png",
        "48": "/logo/48.png",
        "128": "/logo/128.png"
    },
    "action": {
        "default_popup": "popup.html"
    },
    "content_scripts": [
        {
            "matches":["<all_urls>"],
            "run_at": "document_start",
            "js": [
                "/js/content_help.js"
            ]
        },
        {
            "matches": [
                "https://*.twitter.com/*",
                "https://twitter.com/*",
                "https://www.facebook.com/*",
                "https://facebook.com/*",
                "*://testh5.denetme.net/*",
                "*://h5.denetme.net/*",
                "*://preh5.denetme.net/*"
            ],
            "run_at": "document_start",
            "js": [
                "/js/content.js"
            ]
        }
    ],
    "host_permissions": [
        "<all_urls>",
        "*://*.twitter.com/*",
        "*://twitter.com/*",
        "*://*.facebook.com/*",
        "*://facebook.com/*",
        "*://testh5.denetme.net/*",
        "*://h5.denetme.net/*",
        "*://preh5.denetme.net/*"
    ],
    "permissions": [
        "tabs",
        "action",
        "cookies",
        "activeTab",
        "scripting",
        "storage",
        "alarms"
    ],
    "options_page": "options.html",
    "web_accessible_resources": [
        {
            "resources": [
                "/iframe/publish.html",
                "/iframe/red-packet.html",
                "/iframe/home.html",
                "/iframe/publish-tips.html",
                "/iframe/bind-tweet.html",
                "/iframe/nft-card.html",
                "/iframe/nft-group.html",
                "/iframe/nft-group-card.html",
                "/iframe/buy-nft.html",
                "/iframe/group-card.html",
                "/iframe/popup-page.html",
                "/iframe/popup-page.html",
                "/iframe/tab-group.html",
                "/iframe/joined-group-list.html"
            ],
            "matches": [
                "<all_urls>"
            ]
        }
    ]
}